Cloud APIs
/- DrillPlan
Display Items API
- Get a result of a display items content requesting task.
Get DrillPlan display items.
Create a task for requesting display items content.
Get a content part as a result of a display items content requesting task.
Get a result of a display...
Results of display items content request operations are transient and get deleted after one minute after the corresponding task gets completed. To get the results, the user must be a member of the project to which the task belongs.
Security
bearer and appkey
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/{contentId}
- ProdUShttps://api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/{contentId}
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/drillplan-ddi-api/v1/projects/{projectId}/display-items/content/{contentId}
curl -i -X GET \
'https://eu-api.delfi.slb.com/drillplan/ddis/v1/projects/{projectId}/display-items/content/{contentId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-data-partition-id: string'Success
The list of display items.
Example:
[ { "display_item_id": "pressure-aea-card-results", "level_id": "d973c00e4d64f5ddb1231", "content_parts": [ … ] } ]
Response
{ "display_items": [ { … } ] }